### Method

# Fwupd Client clear_results

since: 0.7.0

#### Declaration [src]

    gboolean
    fwupd_client_clear_results (
      FwupdClient* self,
      const gchar* device_id,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Clears the results for a specific device.

Available since: 0.7.0

#### Parameters

`device_id`

  Type: `const gchar*`

  The device ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.